{"title":"Create employees","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_employee_create/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_employee_create, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_employee_create","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Creates an employee object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":47,"chars":203},{"level":2,"title":"Request headers","slug":"request-headers","at":250,"chars":102},{"level":2,"title":"Request body","slug":"request-body","at":352,"chars":90},{"level":2,"title":"Response","slug":"response","at":442,"chars":125},{"level":2,"title":"Example","slug":"example","at":567,"chars":1613},{"level":2,"title":"Related information","slug":"related-information","at":2180,"chars":201}],"text":"Create an employee object in Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nPOST businesscentralPrefix/companies({id})/employees\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\nContent-Type|application/json\n## Request body\nIn the request body, supply a JSON representation of an employees object.\n## Response\nIf successful, this method returns ```201 Created``` response code and an employees object in the response body.\n## Example\nRequest\nHere's an example of a request.\n```json\nPOST https://{businesscentralPrefix}/api/v2.0/companies({id})/employees\nContent-type: application/json\n\n{\n  \"id\": \"258bb9c0-44e3-ea11-bb43-000d3a2feca1\",\n  \"number\": \"AH\",\n  \"givenName\": \"Annette\",\n  \"middleName\": \"\",\n  \"surname\": \"Hill\",\n  \"jobTitle\": \"Secretary\",\n  \"addressLine1\": \"677 Fifth Avenue\",\n  \"addressLine2\": \"\",\n  \"city\": \"\",\n  \"state\": \"\",\n  \"country\": \"\",\n  \"postalCode\": \"\",\n  \"phoneNumber\": \"4465-4899-4643\",\n  \"mobilePhone\": \"4564-4564-7831\",\n  \"email\": \"\",\n  \"personalEmail\": \"ah@contoso.com\",\n  \"employmentDate\": \"2001-06-01\",\n  \"terminationDate\": \"0001-01-01\",\n  \"status\": \"Active\",\n  \"birthDate\": \"1973-12-12\",\n  \"statisticsGroupCode\": \"\"\n}\n```\nResponse\nHere's an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\nHTTP/1.1 201 Created\nContent-type: application/json\n\n{\n  \"id\": \"258bb9c0-44e3-ea11-bb43-000d3a2feca1\",\n  \"number\": \"AH\",\n  \"displayName\": \"Annette Hill\",\n  \"givenName\": \"Annette\",\n  \"middleName\": \"\",\n  \"surname\": \"Hill\",\n  \"jobTitle\": \"Secretary\",\n  \"addressLine1\": \"677 Fifth Avenue\",\n  \"addressLine2\": \"\",\n  \"city\": \"\",\n  \"state\": \"\",\n  \"country\": \"\",\n  \"postalCode\": \"\",\n  \"phoneNumber\": \"4465-4899-4643\",\n  \"mobilePhone\": \"4564-4564-7831\",\n  \"email\": \"\",\n  \"personalEmail\": \"ah@contoso.com\",\n  \"employmentDate\": \"2001-06-01\",\n  \"terminationDate\": \"0001-01-01\",\n  \"status\": \"Active\",\n  \"birthDate\": \"1973-12-12\",\n  \"statisticsGroupCode\": \"\",\n  \"lastModifiedDateTime\": \"2017-03-16T14:57:19.497Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_employee\ndynamics_employee_get\ndynamics_employee_delete\ndynamics_employee_update"}